# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Run reports Any report configuration that has been created, whether scheduled or not, can be run at any time as an "adhoc" report run. This is especially useful when you would like to: - Run a newly created report multiple times to shake out issues and refactor. - Run a daily scheduled report for a specific day in the past where perhaps something went wrong on the ingestion side. - Run a daily scheduled report for a whole month to reconcile the data. - Run a report on a non-regular interval. For example, run a report for the last 10 days. ## Before you begin Before running an adhoc report, you’ll need the following: - You must have created at least one [report configuration](/docs/commerce/optimization-protection/capabilities/reporting/how-to/manage-report-configurations). - You need to know the reportConfigurationId of the report configuration you wish to run. - You can get a list of available configurations using GET /report-configs. - You’ll need to know the period of data you wish to report on. ## Run adhoc reports The following is an example request to run an adhoc report: **HTTP method**: `POST` **Endpoint**: `/reports` ```json { "reportConfigurationId": "58bc2d32-28db-43b1-9bc6-1072a72f4589", "frequencyConfig": { "scheduleFrequency": "adhoc", "reportingPeriodStartTimestamp": "2021-01-14 00:00:00", "reportingPeriodEndTimestamp": "2020-01-14 23:00:00" } } ``` **Response:** ```json { "reportIdentifier": "11b410c6-e226-4230-ac65-6b944c6a0f10", "reportConfigurationId": "58bc2d32-28db-43b1-9bc6-1072a72f4589", "reportTypeNames": [ "Transaction Details" ], "createTimestamp": "2020-11-20T19:26:13.926Z" } ``` ## Check the status of report runs You can check the status of a report by performing a GET call to the /reports endpoint. There are two ways in which you can do this: - Retrieve the details of all the reports - Retrieve the details of a single report > This method can be used to query in-flight reports and get status. For example, a system can run this query once every 2-5 minutes until the status shows "success" and then retrieve the report immediately. > For more information, refer to [how to retrieve report details](/docs/commerce/optimization-protection/capabilities/reporting/how-to/retrieve-report-details). ## Related [How to manage report configurations](/docs/commerce/optimization-protection/capabilities/reporting/how-to/manage-report-configurations)